Audit
/audit/effects
List audit effects with optional filters by action/entity/status/type.
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
limit?number
Default
100Range
1 <= value <= 250offset?integer
Default
0Range
0 <= value <= 9007199254740991actionId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidentityId?string
entityType?string
Value in
"account" | "journalEntry" | "listingOwnershipPeriod" | "ownerStatement" | "recurringTransactionTemplate" | "reservation" | "tenant" | "transaction" | "transactionAttachment"status?string
Value in
"pending" | "claimed" | "running" | "completed" | "failed" | "dead_letter"effectType?string
Value in
"BANK_ACCOUNT_CREATED_TRACK" | "CALENDAR_UNBLOCK_ACTION" | "CREATE_RECURRING_TRANSACTION_INSTANCE" | "JOURNAL_ENTRY_SET_ACTIVE" | "JOURNAL_ENTRY_SET_INACTIVE" | "LINK_JOURNAL_TO_OWNERSHIP_PERIOD" | "RECALCULATE_BANK_RECORD_BALANCES" | "REFRESH_RESERVATION_JOURNAL" | "DELETE_TRANSACTION_ATTACHMENT_BLOB" | "MAP_DEPOSIT_TRANSACTIONS_BY_LAST4" | "REFRESH_TRANSACTION_JOURNAL" | "SEND_STATEMENT_NOTIFICATIONS" | "UPDATE_RESERVATION_LINKABLES" | "UPDATE_RESERVATION_PAYMENTS" | "TENANT_CLERK_ALLOWED_IDS_SYNC" | "TENANT_HYPERLINE_SYNC" | "TENANT_INIT" | "TENANT_LINEAR_WEBHOOK" | "TENANT_STATUS_TRACK" | "TENANT_SUSPENSION_EMAIL"page?number
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/audit/effects"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"action": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"actionType": "string",
"source": "string",
"apiVersion": "string",
"requestId": "string",
"traceId": "string",
"parentActionId": "12f46041-18d6-4f38-a710-58558c6996db",
"actor": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"name": "string",
"email": "string"
}
},
"rootEntityType": "string",
"rootEntityId": "ffcdb974-7dd1-4727-b1cd-39415010f491",
"effectType": "BANK_ACCOUNT_CREATED_TRACK",
"payload": null,
"entity": {
"type": "reservation",
"data": {
"id": "string",
"confirmationCode": "string",
"uniqueRef": "string",
"status": "booked",
"checkIn": "string",
"checkOut": "string"
}
},
"status": "pending",
"priority": 0,
"retryCount": 0,
"maxRetries": 0,
"sequence": 0,
"claimedAt": "string",
"claimedBy": "string",
"completedAt": "string",
"lastAttemptAt": "string",
"lastError": "string",
"latestAttempt": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"status": "running",
"attemptNum": 0,
"startedAt": "string",
"finishedAt": "string",
"workerId": "string",
"resultCode": "string",
"resultCategory": "string",
"retryable": true,
"errorMessage": "string"
},
"createdAt": "string"
}
],
"pagination": {
"limit": 100,
"page": 1,
"total": 0,
"totalPage": 0,
"nextPage": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}